Index: main/trunk/greenstone2/perllib/strings_fr.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_fr.properties	(revision 28518)
+++ main/trunk/greenstone2/perllib/strings_fr.properties	(revision 28519)
@@ -66,11 +66,13 @@
 
 scripts.gli:Un drapeau positionnÃ© lorsque ce script est lancÃ© Ã  partir de l'Interface BibliothÃ©caire, permet d'avoir une sortie spÃ©cifique pour l'Interface BibliothÃ©caire.
-
-
-
-
+scripts.gai:Un drapeau sÃ©lectionnÃ© lors de l'exÃ©cution de ce script Ã  partir de gai (greenstone administration tool), permet une sortie spÃ©cifique pour gai.
+
+scripts.verbosity:ContrÃŽle la quantitÃ© de messages. 0=aucun, 3=beaucoupÂ .
+scripts.out:Nom de fichier ou pointeur vers lequel imprimer le statut.
 
 # -- buildcol.pl --
 
+buildcol.activate:Lance activate.pl lorsque buildcol est terminÃ©, ce qui aura pour effet de renommer building en index.
+
 buildcol.archivedir:LÃ  oÃ¹ se trouvent les archives.
 
@@ -85,4 +87,6 @@
 buildcol.copying_back_cached_build:Recopie de la construction mise en cache
 
+buildcol.copying_rss_items_rdf:Copie le fichier rss-item.rdf de%s vers%s
+
 buildcol.create_images:Tente de crÃ©er des images par dÃ©faut pour la nouvelle collection. Cela dÃ©pend de l'installation de Gimp en mÃªme temps que les modules qui vont avec pour permettre l'Ã©criture de scripts Ã  partir de perl.
 
@@ -96,4 +100,8 @@
 
 buildcol.index:Index Ã  construire (va construire toust dans le fichier de configuration si pas dÃ©fini).
+
+buildcol.indexname:Nom de l'index Ã  construire (construira tout dans le fichier de configuration si non prÃ©cisÃ©).
+
+buildcol.indexlevel:Niveau des index Ã  construire (construira tout dans le fichier de configuration si non prÃ©cisÃ©).
 
 buildcol.incremental:Indexe seuls les documents qui n'ont pas Ã©tÃ© prÃ©alablement indexÃ©s. Implique -keepold. Repose sur l' indexeur lucene.
@@ -115,7 +123,10 @@
 buildcol.no_strip_html:Ne pas enlever les balises html du texte indexÃ© (utilisÃ© seulement pour les collections mgpp).
 
+buildcol.store_metadata_coverage:Inclure des statistiques sur les jeux de mÃ©tadonnÃ©es qui sont utilisÃ©s dans une collection, y compris les termes de mÃ©tadonnÃ©es actuellement utilisÃ©s. Ceci est utile dans la construction de la collection si vous voulez la liste des valeurs de mÃ©tadonnÃ©es qui sont utilisÃ©es dans une collection particuliÃšre.
+
 buildcol.no_text:Ne pas stocker de texte compressÃ©. Cette option est utile pour la rÃ©duction de la taille des indexes incorporÃ©s si vous voulez toujours afficher les documents originaux en temps voulu (c'est Ã  dire que vous ne pouvez pas retrouver la version du texte compressÃ©).
 
 buildcol.sections_index_document_metadata:Indexe les mÃ©tadonnÃ©es de niveau document au niveau section
+buildcol.sections_sort_on_document_metadata:(Seulement Lucene) Ajoute des mÃ©tadonnÃ©es de niveau document au niveau section pour le tri
 buildcol.sections_index_document_metadata.never:N'indexe aucune mÃ©tadonnÃ©e de document au niveau section.
 buildcol.sections_index_document_metadata.always:Ajoute toutes les mÃ©tadonnÃ©es spÃ©cifiÃ©es d'un niveau document  mÃªme s'il existe une mÃ©tadonnÃ©es de niveau section de ce nom.
@@ -210,5 +221,5 @@
 exportcol.cddir:Le nom du rÃ©pertoire oÃ¹ les contenus du CD sont exportÃ©s.
 exportcol.cdname:Le nom du CD-ROM -- c'est ce qui va apparaÃ®tre dans le menu de dÃ©marrage une fois que le CD-ROM est installÃ©.
-
+exportcol.collectdir:Le chemin du dossier "collect".
 exportcol.desc:Script PERL utilisÃ© pour exporter une ou plusieurs collections vers un CD-ROM Windows.
 exportcol.noinstall:CrÃ©er un CD-ROM oÃ¹ la bibliothÃšque s'Ã©xÃ©cute directement sur le CD-ROM et rien n'est installÃ© sur l'ordinateur hÃŽte.
@@ -236,13 +247,13 @@
 import.cannot_open_fail_log:Erreur: N'a pas pu ouvrir le journal des Ã©checs %s
 
-
-
-
+import.cannot_read_OIDcount:AvertissementÂ : impossible de lire le compte OID du document Ã  partir de%s.\nRÃ©glage de la valeur Ã  0.
+
+#import.cannot_read_earliestdatestamp:AttentionÂ : impossible de lire earliestDatestampcount de la collection Ã  partir deÂ %s.\n RÃ©glage de la valeur Ã  0.
 
 import.cannot_sort:ATTENTION: le plugin d'importation ne peut pas trier les documents si groupsize > 1. L'option sortmeta sera ignorÃ©e.
 
-
-
-
+import.cannot_write_earliestdatestamp:AvertissementÂ : impossible de stocker le earliestDatestamp de la collection dans%s.
+
+import.cannot_write_OIDcount:AvertissementÂ : impossible de stocker le compte OID du document dans %s.
 
 import.collectdir:Le chemin du rÃ©pertoire "collect".
@@ -274,5 +285,6 @@
 import.OIDtype:La mÃ©thode Ã  utiliser pour produire des identificateurs uniques pour chaque document
 import.OIDtype.hash:Hashe le contenu du fichier. Les identifiants de documents sera la mÃªme Ã  chaque fois que la collection est importeÃ©.
-
+import.OIDtype.hash_on_ga_xml:Hachage du contenu du fichier XML Greenstone Archive. Les identifiants de document seront identiques chaque fois que la collection sera importÃ©e, tant que les mÃ©tadonnÃ©es ne changent pas.
+import.OIDtype.hash_on_full_filename:Hachage du nom de fichier complet du document dans le dossier 'import' (pas de son contenu). Aide Ã  rendre les identifiants plus stable Ã  travers les mises Ã  jour du logiciel, mÃªme si cela signifie que les documents dupliquÃ©s contenus dans la collection ne sont plus dÃ©tectÃ©s. automatiquement.
 
 import.OIDtype.incremental:Utilise un simple comptage de document. Beaucoup plus rapide que le "hachage", mais ne attribuera pas le mÃªme identifiant pour le mÃªme contenu de document, et d'autres documents ne peuvent pas Ãªtre ajoutÃ©es aux archives existantes.
@@ -280,5 +292,9 @@
 import.OIDtype.assigned:Utiliser la valeur des mÃ©tadonnÃ©es fournies par l'option OIDmetadata (prÃ©cÃ©dÃ©e par "D"); si non spÃ©cifiÃ©e, Ã  un document de hachage est utilisÃ© Ã  la place. Ces identificateurs doivent Ãªtre uniques.
 
-import.OIDtype.dirname:Utilisez le nom du rÃ©pertoire parent (prÃ©cÃ©dÃ© par 'J'). Il ne devrait Ãªtre qu'un document par rÃ©pertoire, et les noms de rÃ©pertoire doivent Ãªtre uniques. Par exemple Import/b13as/h15ef/page.html donnera un identifiant de Jh15ef.
+import.OIDtype.dirname:Utilisez le nom du rÃ©pertoire parent. Il ne devrait y avoir qu'un document par rÃ©pertoire, et les noms de rÃ©pertoire devraient Ãªtre uniques. Par exemple, Import/b13as/h15ef/page.html donnera un identifiant h15ef. Les identifiants numÃ©riques seront prÃ©cÃ©dÃ©s de 'D'.
+
+import.OIDtype.filename:Utilise la fin du nom de fichier (sans l'extension du fichier). Exige que chaque nom de fichier Ã  travers tous les dossiers dans 'import' soient uniques. Les identifiants numÃ©riques seront prÃ©cÃ©dÃ©s par 'D'.
+
+import.OIDtype.full_filename:Utilise le nom de fichier complet dans le dossier 'import' en tant qu'identifiant du document (avec _ et â en substitution des symboles tels que des sÃ©parateurs de rÃ©pertoire et le point dans une extension de fichier)
 
 import.OIDmetadata:SpÃ©cifie les Ã©lÃ©ments de mÃ©tadonnÃ©es qui dÃ©tiennent l'identificateur unique du document, pour une utilisation avec - OIDtype = assignÃ©s.
@@ -298,5 +314,7 @@
 import.site:Site oÃ¹ trouver le rÃ©pertoire collect (pour l'installation de Greenstone 3)
 
-import.sortmeta:Trier pour la construction les documents par ordre alphabÃ©tique des mÃ©tadonnÃ©es. Les rÃ©sultats de la recherche pour les expressions boolÃ©ennes seront affichÃ©s dans cet ordre. Ceci sera dÃ©sactivÃ© si groupsize> 1. Pour trier par plus d'une valeur de mÃ©tadonnÃ©es, peut Ãªtre une liste sÃ©parÃ©e par des virgules.
+import.sortmeta:Pour la construction, trier les documents par ordre alphabÃ©tique des mÃ©tadonnÃ©es (spÃ©cifier -sortmeta avec 'OID' est un cas spÃ©cial qui indique Ã  Greenstone d'utiliser l'identifiant du document pour l'ordre). Les rÃ©sultats de la recherche pour les expressions boolÃ©ennes seront affichÃ©s dans l'ordre dÃ©terminÃ© par -sortmeta. Ceci sera dÃ©sactivÃ© si groupsize > 1. Pour trier par plus d'une valeur de mÃ©tadonnÃ©es, peut Ãªtre une liste sÃ©parÃ©e par des virgules.
+
+import.sortmeta_paired_with_ArchivesInfPlugin:-sortmeta dÃ©tectÃ©. Pour effectuer le tri stipulÃ© par mÃ©tadonnÃ©es (ou OID) rappelez-vous que cette option doit Ãªtre couplÃ©e soit avec l'option '-reversesort' soit avec l'option '-sort' de ArchivesInfPlugin.
 
 import.statsfile:Nom de fichier ou contrÃŽle vers lequel envoyer les statistiques d'importation.
@@ -307,11 +325,11 @@
 
 # -- csv-usernames-to-db.pl
-
+cu2db.desc:Un simple script pour ajouter une sÃ©rie d'utilisateurs Ã  la base de donnÃ©es utilisateurs de greenstone. Prends un fichier de valeurs sÃ©parÃ©es par des virgules (csv) en entrÃ©e. Chaque ligne reprÃ©sente un utilisateur et se compose de nom d'utilisateur,mot de passe,groupes,commentaire. Si l'utilisateur appartient Ã  plus d'un groupe, groupes sera une liste sÃ©parÃ©es par des virgules et il faudra alors utiliser un autre sÃ©parateur de champs pour le fichier (avec l'option field-separator).
  
-
-
-
-
-
+cu2db.params:[options] nom du fichier csv
+
+cu2db.field-separator:ContrÃŽle quel caractÃšre est utilisÃ© pour sÃ©parer les champs dans le fichier CSV
+
+cu2db.already-encrypted:Utiliser cette option si les mots de passe dans le fichier CSV sont dÃ©jÃ  chiffrÃ©s
 
 
@@ -330,4 +348,5 @@
 schedule.frequency.daily:Reconstruire la collection tous les jours.
 schedule.frequency.weekly:Reconstruire la collection toutes les semaines.
+schedule.filepath_warning:**** AvertissementÂ : schedule.pl peut ne pas fonctionner si Greenstone est installÃ© dans un chemin contenant des parenthÃšses et/ou des espacesÂ :%s.
 schedule.action:Comment activer la reconstruction automatique de collection.
 schedule.action.add:Planifie la reconstruction automatique de collection.
@@ -410,7 +429,7 @@
 mkcol.about:Le texte Ã  propos pour la collection.
 
-
-
-
+mkcol.buildtype:Le 'buildtype' pour la collection (c-Ã -d mg, mgpp, lucene)
+
+mkcol.infodbtype:Le 'infodbtype' pour la collection (c-Ã -d gdbm, jdbm, sqlite)
 
 mkcol.bad_name_cvs:ERREUR: Aucune collection ne peut Ãªtre nommÃ©e CVS car cela pourrait interfÃ©rer avec des rÃ©pertoires de gestion de version de CVS.
@@ -528,4 +547,5 @@
 AZCompactList.doclevel:Niveau oÃ¹ le document est traitÃ©.
 AZCompactList.doclevel.top:Tout le document.
+AZCompactList.doclevel.firstlevel:Seulement le premier niveau de sections.
 AZCompactList.doclevel.section:Par sections.
 
@@ -621,9 +641,10 @@
 
 List.desc:Un classificateur de liste gÃ©nÃ©ral et flexible avec la plupart des possibilitÃ©s de AZCompactList, mais avec un meilleur support de l'Unicode et une meileure capacitÃ© de tri.
-
-
+List.filter_metadata:ElÃ©ment de mÃ©tadonnÃ©e Ã  tester pour l'inclusion d'un document dans un classificateur. Les documents seront inclus si ils dÃ©finissent cette mÃ©tadonnÃ©e.
+List.filter_regex:Expression rÃ©guliÃšre Ã  utiliser dans le test filter_metadata. Si une expression rÃ©guliÃšre est spÃ©cifiÃ©e, seuls les documents pour lesquels filter_metadata correspond Ã  cette expression rÃ©guliÃšre seront inclus.
+List.level_partition.none:Aucun.
 List.level_partition.per_letter:CrÃ©er une partition pour chaque lettre.
 List.level_partition.constant_size:CrÃ©er une partition de taille constante.
-
+List.level_partition.approximate_size:CrÃ©e une partition par lettre, puis regroupe ou sÃ©pare les lettres pour obtenir approximativement des partitions de tailles identiques.
 
 List.metadata:Les champs de mÃ©tadonnÃ©e utilisÃ©s pour la classification. Utiliser '/' pour sÃ©parer les niveaux dans la hiÃ©rarchie et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque niveau.
@@ -631,9 +652,9 @@
 List.partition_name_length:La longueur du nom de partition; valeurs par dÃ©faut d'une longueur variable de 1 Ã  3 caractÃšres, dÃ©pendant de combien sont nÃ©cessaires pour distinguer le dÃ©but de la partition de sa fin. Cette option ne s'applique que si partition_type_within_level est Ã  'constant_size'.
 
-List.partition_size_within_level:Le nombre d'Ã©lÃ©ments dans chaque division (ceci s'applique seulement quand la partition_type_within_level est mis Ã  'constant_size').
-
-List.partition_type_within_level:Le type de division effectuÃ© : soit 'par_lettre', 'taille_constante' ou 'aucune'.
-
-
+List.partition_size_within_level:Le nombre d'Ã©lÃ©ments dans chaque division (ceci s'applique seulement quand la partition_type_within_level est mis Ã  'constant_size' ou 'approximate_size). Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
+
+List.partition_type_within_level:Le type de division effectuÃ©. Peut Ãªtre spÃ©cifiÃ© pour chaque niveau. SÃ©parer les niveaux par '/'.
+
+List.reverse_sort_leaf_nodes:Tri les documents enfants par ordre inverse.
 
 List.sort_leaf_nodes_using:Champs de mÃ©tadonnÃ©es utilisÃ©s pour trier les nÅuds extrÃªmes. Utiliser '|' pour sÃ©parer les groupes de mÃ©tadonnÃ©e en type table et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque groupe.
@@ -641,7 +662,10 @@
 List.sort_using_unicode_collation:Trier en utilisant l'algorithme de rÃ©colement Unicode. NÃ©cessite le tÃ©lÃ©chargement du fichier http://www.unicode.org/Public/UCA/latest/allkeys.txt dans le dossier des librairies Perl lib/Unicode/Collate.
 
+List.standardize_capitalization:Les valeurs de mÃ©tadonnÃ©es sont mises en minuscules pour le tri dans les Ã©tagÃšres. Choisir cette option pour utiliser ces valeurs en minuscules pour les noms d'affichage d'Ã©tagÃšre. Sinon, la variante la plus reprÃ©sentÃ©e sera utilisÃ©e.
+
 List.use_hlist_for:Les champs de mÃ©tadonnÃ©es qui utilisent une hlist au lieu d'une vlist. Utiliser ',' pour sÃ©parer les groupes de mÃ©tadonnÃ©es et ';' pour sÃ©parer les champs de mÃ©tadonnÃ©es dans chaque groupe.
 
-SimpleList.metadata:Un champ de mÃ©tadonnÃ©e unique ou une liste de champs de mÃ©tadonnÃ©e sÃ©parÃ©s par des virgules utilisÃ©s pour classification. En suivant l'ordre indiquÃ© par la liste, le premier champ qui contient  une valeur de mÃ©tadonnÃ©e sera utilisÃ©. La liste sera triÃ©e suivant cet Ã©lÃ©ment, Ã  moins que -sort ne soit utilisÃ©. Si aucune mÃ©tadonnÃ©e n'est spÃ©cifiÃ©e, tous les documents seront inclus dans la liste, sinon seuls les documents qui contiennent une valeur de mÃ©tadonnÃ©e seront inclus.
+SimpleList.metadata:Un champ de mÃ©tadonnÃ©e unique ou une liste de champs de mÃ©tadonnÃ©e sÃ©parÃ©s par des virgules utilisÃ©s pour la classification. En suivant l'ordre indiquÃ© par la liste, le premier champ qui contient  une valeur de mÃ©tadonnÃ©e sera utilisÃ©. La liste sera triÃ©e suivant cet Ã©lÃ©ment, Ã  moins que -sort ne soit utilisÃ©. Si aucune mÃ©tadonnÃ©e n'est spÃ©cifiÃ©e, tous les documents seront inclus dans la liste, sinon seuls les documents qui contiennent une valeur de mÃ©tadonnÃ©e seront inclus.
+
 
 SimpleList.desc:Plugiciel de classificateur de liste simple.
@@ -722,5 +746,6 @@
 
 ArchivesInfPlugin.desc:Plugiciel qui traite la base de donnÃ©es d'informations sur les archives (archiveinf-doc) qui est gÃ©nÃ©rÃ©e pendant le processus d'importation. Il transmet chaque fichier d'archive rÃ©fÃ©rencÃ© dans la base au pipeline de plugiciels pour Ãªtre traitÃ© par GreenstoneXMLPlugin.
-
+ArchivesInfPlugin.reversesort:Tri par ordre alphabÃ©tique inverse. Utile si l'option -sortmeta a Ã©tÃ© utilisÃ©e avec import.pl.
+ArchivesInfPlugin.sort:Tri par ordre alphabÃ©tique ascendant. Utile si l'option -sortmeta a Ã©tÃ© utilisÃ©e avec import.pl.
 
 AutoExtractMetadata.desc:Plugiciel de base qui rassemble toutes les fonctionnalitÃ©s d'extraction des plugiciels d'extraction.
@@ -730,5 +755,6 @@
 AutoExtractMetadata.first:Liste (en format valeurs sÃ©parÃ©es par des virgules) des nombres de caractÃšres Ã  extraire Ã  partir du dÃ©but du texte pour peupler une sÃ©rie de champs de mÃ©tadonnÃ©es appelÃ©s 'FirstN', oÃ¹ N est la taille d'une mÃ©tadonnÃ©e en nombre de caractÃšres. Par exemple, les valeurs "3,5,7" aura pour effet le transfert des premiers 3, 5 et 7 caractÃšres du texte vers les champs de mÃ©tadonnÃ©es "First3", "First5" and "First7".
 
-
+AutoLoadConverters.desc:Plugiciel d'aide qui charge dynamiquement les plugiciels de conversion d'extension.
+AutoloadConverter.noconversionavailable:Conversion indisponible
 
 BaseMediaConverter.desc:Plugiciel d'aide qui fournit les fonctionnalitÃ©s de base aux plugiciels de conversion des formats multimÃ©dia tels qu'ImageConverter et les convertisseurs de vidÃ©o.
@@ -770,9 +796,9 @@
 BasePlugin.process_exp:Expression rÃ©guliÃšre de Perl Ã  faire correspondre Ã  des noms de fichiers. Les fichiers correspondants seront traitÃ©s avec ce plugiciel. Par exemple, l'usage de '(?i).html?\$' fait correspondre tous les documents terminant en .htm ou en .html (indÃ©pendemment de la casse).
 
-
+BasePlugin.processing_tmp_files:Drapeau interne, fixÃ© par les plugiciels de conversion pour indiquer que nous traitons un fichier tmp.
 
 BasePlugin.smart_block:Bloquer les fichiers d'une faÃ§on plus flexible qu'en regardant le nom du fichier.
 
-
+BasePlugin.store_original_file:Enregistre le document source original en tant que fichier associÃ©. A noter que c'est automatique pour les fichiers tels que PDF, Word... Cette option n'est utile que pour les plugiciels qui ne gardent pas dÃ©jÃ  une copie du fichier original.
 
 BasePlugin.file_rename_method:La mÃ©thode Ã  utiliser pour renommer la copie du fichier importÃ© et ses fichiers associÃ©s.
@@ -862,8 +888,10 @@
 EmailPlugin.split_exp:Expression rÃ©guliÃšre perl utilisÃ©e pour scinder en documents sÃ©parÃ©s les fichiers contenant plusieurs messages.
 
-
-
-
-
+EmbeddedMetadataPlugin.desc:Plugiciel qui extrait les mÃ©tadonnÃ©es intÃ©grÃ©es Ã  partir d'une variÃ©tÃ© de types de fichiers. Il est basÃ© sur le module CPAN 'ExifTool' qui inclut le support de plus de 70 formats de fichiers et 20 formats de mÃ©tadonnÃ©es. Inclus entre autreÂ : formats vidÃ©o tels que AVI, ASF, FLV, MPEG, OGGVorbis et WMV, formats d'image tels que BMP, GIF, JPEG, JPEG 2000 et PNGÂ ; formats audio tels que AIFF, RealAudio, FLAC,MP3 et WAV, formats de documents Office tesl que PostScript EncapsulÃ©, HTML, PDF et Word. Plus de dÃ©tails sont disponibles sur la page d'accueil de ExifTool http://www.sno.phy.queensu.ca/~phil/exiftool/
+EmbeddedMetadataPlugin.join_before_split:Joint des champs avec des entrÃ©s multiples (c-Ã -d Authors ou Keywords)  avant qu'ils ne soient (optionnellement) sÃ©parÃ©s par le sÃ©parateur nommÃ©.
+EmbeddedMetadataPlugin.join_character:Le caractÃšre Ã  utiliser avec join_before_split (par dÃ©faut un seul espace).
+EmbeddedMetadataPlugin.trim_whitespace:Suppression des espaces de dÃ©but et de fin de toutes les valeurs de mÃ©tadonnÃ©es extraites (Note: ceci vaut Ã©galement pour toutes les valeurs gÃ©nÃ©rÃ©es par jointure avec join_before_split ou par sÃ©paration avec metadata_field_separator).
+EmbeddedMetadataPlugin.set_filter_list:Une liste sÃ©parÃ©e par des virgules de jeux de mÃ©tadonnÃ©es que nous souhaiterions rÃ©cupÃ©rer.
+EmbeddedMetadataPlugin.set_filter_regexp:Une expression rÃ©guliÃšre qui sÃ©lectionne les mÃ©tadonnÃ©es que nous aimerions rÃ©cupÃ©rer.
 
 ExcelPlugin.desc:Plugiciel pour importer des fichiers Microsoft Excel (les versions 95 et 97).
@@ -944,5 +972,5 @@
 HTMLPlugin.metadata_fields:Liste de champs de mÃ©tadonnÃ©es Ã  essayer d'extraire, sÃ©parÃ©s par des virgules. Utiliser l'expression 'tag<nom de balise>' pour mettre le contenu de la premiÃšre paire de <nom de balise> dans l'Ã©lÃ©ment de mÃ©tadonnÃ©es 'nom de balise'. Utiliser les majuscules parce que les Ã©lÃ©ments de mÃ©tadonnes sont capitalisÃ©s en Greenstone, et l'extraction des balises ne tient pas compte de la casse.
 
-
+HTMLPlugin.metadata_field_separator:CaractÃšre de sÃ©paration utilisÃ© dans les mÃ©tadonnÃ©es multi-valeurs. Partagera la valeur d'un champ de mÃ©tadonnÃ©es avec ce caractÃšre et ajoutera chaque Ã©lÃ©ment en tant que mÃ©tadonnÃ©e individuelle.
 
 HTMLPlugin.no_metadata:Ne cherchez pas Ã  extraire des mÃ©tadata des fichiers.
@@ -1031,7 +1059,7 @@
 MARCXMLPlugin.metadata_mapping_file:Nom de fichier qui comprend les dÃ©tails de la correspondance  des valeurs MARC  avec les noms des mÃ©tadonnÃ©es Greenstone. Les valeurs par dÃ©faut sont dans  'marc2dc.txt',  qui se trouve dans le rÃ©pertoire etc du site.
 
-
-
-
+MediainfoOGVPlugin.desc:Plugiciel pour l'import de fichiers vidÃ©o OGV. NÃ©cessite l'installation de Mediainfo (mediainfo.sourceforge.net) pour extraire les mÃ©tadonnÃ©es.
+
+MediainfoOGVPlugin.assoc_field:Nom du champ de mÃ©tadonnÃ©es qui contiendra le nom du fichier vidÃ©o.
 
 MediaWikiPlugin.desc:Plugiciel pour importer des pages Web au format MediaWiki
@@ -1084,11 +1112,11 @@
 OAIPlugin.metadata_set.dc:Utilise le prÃ©fixe Dublin Core (dc). Transformera les Ã©lÃ©ments Dublin Core qualifiÃ©s dans leur forme appropriÃ©e dans Greenstone, par exemple spatial deviendra dc.Coverage^spatial.
 
-
-
-
-
-
-
-
+OAIMetadataXMLPlugin.desc:Version de MetadataXMLPlugin traitant les fichiers metadata.xml. Utilise le champÂ "dc.identifier" et extrait les mÃ©tadonnÃ©es OAI du serveur OAI nommÃ© (-oai_server_http_path)
+
+OAIMetadataXMLPlugin.oai_server_http_path:Chemin HTTP vers le serveur OAI â par exemple http://test.com/oai_server/oai.pl
+
+OAIMetadataXMLPlugin.metadata_prefix:PrÃ©fixe de mÃ©tadonnÃ©e OAI â par dÃ©faut oai_dc
+
+OAIMetadataXMLPlugin.koha_mode:si spÃ©cifiÃ©, le plugiciel essaiera de gÃ©nÃ©rÃ©e la mÃ©tadonnÃ©e oaiextracted.koharecordlink. Cette mÃ©tadonnÃ©e contient le lien de retour vers le document Koha.
 
 OggVorbisPlugin.add_technical_metadata:Ajouter des mÃ©ta-donnÃ©es techniques (c.a.d. bitrate)
@@ -1102,7 +1130,13 @@
 PagedImagePlugin.documenttype:Met le type de document (utilisÃ© pour le display)
 
-PagedImagePlugin.documenttype.paged:Les documents avec pages numÃ©rotÃ©es ont des flÃšches qui indiquent la prochaine et la derniÃšre page, ainsi qu'une boite permettant d'aller directement la page X
-
-PagedImagePlugin.documenttype.hierarchy:Les documents hiÃ©rarchiques ont une table de contenu.
+PagedImagePlugin.documenttype.auto2:SÃ©lectionne automatiquement le type de document Ã  partir du format de fichier de l'Ã©lÃ©ment. Utilise 'paged' pour les documents avec une simple sÃ©quence de pages, et 'pagedhierarchy' pour les documents avec une structure interne (c-Ã -d Ã  partir d'Ã©lÃ©ment de fichiers XML contenant des Ã©lÃ©ments PageGroup).
+PagedImagePlugin.documenttype.auto3:SÃ©lectionne automatiquement le type de document Ã  partir du format de fichier de l'Ã©lÃ©ment. Utilise 'paged' pour les documents avec une simple sÃ©quence de pages, et 'pagedhierarchy' pour les documents avec une structure interne (c-Ã -d Ã  partir d'Ã©lÃ©ment de fichiers XML contenant des Ã©lÃ©ments PageGroup).
+
+PagedImagePlugin.documenttype.paged2:Les documents paginÃ©s ont une sÃ©quence de pages linÃ©aire et aucune structure interne. Ils seront affichÃ©s avec des flÃšches suivant et prÃ©cÃ©dent et une boÃ®te 'aller Ã  la page X'.
+PagedImagePlugin.documenttype.paged3:Les documents paginÃ©s ont une sÃ©quence de pages linÃ©aire et aucune structure interne. Ils seront affichÃ©s avec une liste dÃ©roulante des images de la page.
+
+PagedImagePlugin.documenttype.hierarchy:Les documents hiÃ©rarchiques ont une structure interne et seront affichÃ©s avec une table des matiÃšres.
+
+PagedImagePlugin.documenttype.pagedhierarchy:(Greenstone 3 seulement) Ces documents ont une structure interne et des sÃ©quences de pages. Ils seront affichÃ©s avec une table des matiÃšres et des listes dÃ©roulantes de pages.
 
 PagedImagePlugin.headerpage:Ajouter une page d'entÃªte au niveau supÃ©rieur( sans image) Ã  chaque document.
@@ -1134,13 +1168,13 @@
 PowerPointPlugin.windows_scripting:Utilise la technologie de script de Microsoft Windows (Visual Basic pour Applications) pour que PPT puisse convertir le document vers plusieurs types d' images (p. ex. JPEG, PNG, GIF) au lieu de dÃ©pendre du logiciel open source ppttohtml.
 
-
-
-
-
-
-
-
-
-
+PowerPointPlugin.convert_to.html_multi:Une sÃ©rie de pages HTML, deux par diapos. Une pour l'image de la diapo, une pour le texte de la diapo (nÃ©cessite -openoffice_conversion).
+
+PowerPointPlugin.convert_to.pagedimg:Une sÃ©rie d'images JPEG (nÃ©cessite -openoffice_conversion).
+
+PowerPointPlugin.convert_to.pagedimg_jpg:Une sÃ©rie d'images au format JPEG (nÃ©cessite -windows_scripting).
+
+PowerPointPlugin.convert_to.pagedimg_gif:Une sÃ©rie d'images au format GIF (nÃ©cessite -windows_scripting).
+
+PowerPointPlugin.convert_to.pagedimg_png:Une sÃ©rie d'images au format PNG (nÃ©cessite -windows_scripting).
 
 PrintInfo.bad_general_option:Le plugiciel %s utilise une option incorrecte. VÃ©rifiez votre fichier de configuration collect.cfg.
@@ -1255,12 +1289,12 @@
 OAIDownload.url_disp:URL de la source
 OAIDownload.url:URL de l'entrepÃŽt OAI
-OAIDownload.set_disp:Restreindre au jeu  
-OAIDownload.set:Restreindre le tÃ©lÃ©chargement Ã  un lot spÃ©cifique du depÃŽt  
+OAIDownload.set_disp:Restreindre au jeu
+OAIDownload.set:Restreindre le tÃ©lÃ©chargement Ã  un lot spÃ©cifique du depÃŽt
 OAIDownload.metadata_prefix_disp:PrÃ©fixe des mÃ©tadonnÃ©es.
 OAIDownload.metadata_prefix:Le format de mÃ©tadonnÃ©es utilisÃ© pour les exports, par exemple oai_dc, gdc, etc. Cliquer sur le bouton <Server information> pour connaÃ®tre les formats supportÃ©s.
 OAIDownload.get_doc_disp:Obtenir le document
 OAIDownload.get_doc:TÃ©lÃ©charger le document source si il'est spÃ©cifiÃ© dans l'enregistrement
-OAIDownload.get_doc_exts_disp:Restrictions sur type de fichier.  
-OAIDownload.get_doc_exts:Extension(s) de nom de fichier acceptÃ©e(s)  
+OAIDownload.get_doc_exts_disp:Restrictions sur type de fichier.
+OAIDownload.get_doc_exts:Extension(s) de nom de fichier acceptÃ©e(s)
 OAIDownload.max_records_disp:Maximum d'enregistrements
 OAIDownload.max_records:Nombre maximum d'enregistrements Ã  tÃ©lÃ©charger
@@ -1313,7 +1347,10 @@
 BasPlugout.verbosity:ContrÃŽle le volume des sorties de donnÃ©es. 0=aucun, 3=beaucoup.
 BasPlugout.xslt_file:Transformer un document avec le XSLT dans le fichier nommÃ©.
+BasPlugout.subdir_hash_prefix:SpÃ©cifiez le drapeau pour ne pas compter le mot HASH dans le calcul de la longueur de sÃ©paration.
+BasPlugout.subdir_split_length:Le nombre maximum de caractÃšres avant de scinder un sous-rÃ©pertoire d'archives.
+BasPlugout.no_rss:Supprime la gÃ©nÃ©ration automatique de fichier de flux RSS.
 
 DSpacePlugout.desc:Format Archive Dspace.
-
+DSpacePlugout.metadata_prefix:Liste sÃ©parÃ©e par des virgules de prÃ©fixes de mÃ©tadonnÃ©es Ã  inclure dans les donnÃ©es exportÃ©es. Par exemple, en dÃ©finissant cette valeur Ã  'dls', un fichier metadata_dls.xml sera gÃ©nÃ©rÃ© pour chaque document exportÃ© dans le format requis par Dspace.
 
 FedoraMETSPlugout.desc:Format METS utilisant le profil Fedora.