Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 28535)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 28539)
@@ -7,5 +7,6 @@
 ### Intro Page ###
 page.intro.displayText:Installateur Greenstone @version@
-welcome.displayText:Greenstone @version.majeur@ est un logiciel pour crÃ©er et partager les bibliothÃšques numÃ©rique. \n\n cet installateur comprennent le systÃšme Greenstone, et les outils pour lâhÃ©bergement des bibliothÃšques numÃ©riques (Apache2.2 pour Linux/MacOS, le serveur bibliothÃšque de Greenstone pour Windows), convertisseur dâimages (ImageMagick), et conjuguÃ© avec pdf et des documents PostScript (GhostScript âpour Windows et MacOS seulement).
+welcome.displayText:Greenstone@version.major@ est un logiciel pour crÃ©er et partager les bibliothÃšques numÃ©riques.\n\nCet installateur comprend le systÃšme Greenstone, plus les outils pour hÃ©berger les bibliothÃšques numÃ©riques (Apache2.2 pour Linux/MacOS, le serveur bibliothÃšque de Greenstone pour Windows), pour convertir les images (ImageMagick), et pour traiter les documents pdf et postscript (GhostScript â pour Windows et MacOS seulement).
+
 welcome-greenstone3.displayText:Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.
 
@@ -54,7 +55,5 @@
 
 Installing_Apache_Web_Server.displayText:Serveur Web Apache
-Installing_Apache_Web_Server.explanatoryText:
-Il faut un serveur pour utiliser la contenu du bibliothÃšque numÃ©rique de Greenstone. \n Le serveur web Apache etant un exemple, et un serveur web Apache prÃ©configurÃ© fait partie dans ce processus d'installation \n -- prÃªtre Ã  dÃ©marrer â est installe en sÃ©lectionnant cet option. \nlf il y a dÃ©jÃ  un serveur web existant qui est installÃ© que vous pouvez \n choisir pour dÃ©sÃ©lectionner cet option pour Ã©viter lâinstallation de la version prÃ©configurÃ© \n, cependant vous aurez besoin dâajuster les paramÃštres du configuration de \n votre serveur web existant to faire le lien correctement avec cet installation de Greenstone. \n Si vous nâÃªtes pas sure Ã  propos cet option, il est recommandÃ© de le laisser sÃ©lectionnÃ©, \n comme lâinstallation du fichier de configuration  câest bon point de dÃ©part pour lâapprentissage \n quels sont les options de configuration requis pour aller dans les serveurs web existants.
-
+Installing_Apache_Web_Server.explanatoryText:Il faut un serveur pour utiliser la contenu du bibliothÃšque numÃ©rique de Greenstone. \n Le serveur web Apache etant un exemple, et un serveur web Apache prÃ©configurÃ© fait partie dans ce processus d'installation \n -- prÃªtre Ã  dÃ©marrer â est installe en sÃ©lectionnant cet option. \nlf il y a dÃ©jÃ  un serveur web existant qui est installÃ© que vous pouvez \n choisir pour dÃ©sÃ©lectionner cet option pour Ã©viter lâinstallation de la version prÃ©configurÃ© \n, cependant vous aurez besoin dâajuster les paramÃštres du configuration de \n votre serveur web existant to faire le lien correctement avec cet installation de Greenstone. \n Si vous nâÃªtes pas sure Ã  propos cet option, il est recommandÃ© de le laisser sÃ©lectionnÃ©, \n comme lâinstallation du fichier de configuration  câest bon point de dÃ©part pour lâapprentissage \n quels sont les options de configuration requis pour aller dans les serveurs web existants.
 
 Installing_Start_Menu_Shortcuts.displayText:Raccourcis du Menu DÃ©marrer
@@ -114,5 +113,4 @@
 
 uninstaller.will.uninstall.from:Ceci va dÃ©sinstaller l'installation de Greenstone suivante
-
 uninstaller.uninstall.options:Options de DÃ©sinstallation:
 uninstaller.keep.collections:Garder les Collections