Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 28554)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 28555)
@@ -8,5 +8,4 @@
 page.intro.displayText:Installateur Greenstone @version@
 welcome.displayText:Greenstone@version.major@ est un logiciel pour crÃ©er et partager les bibliothÃšques numÃ©riques.\n\nCet installateur comprend le systÃšme Greenstone, plus les outils pour hÃ©berger les bibliothÃšques numÃ©riques (Apache2.2 pour Linux/MacOS, le serveur bibliothÃšque de Greenstone pour Windows), pour convertir les images (ImageMagick), et pour traiter les documents pdf et postscript (GhostScript â pour Windows et MacOS seulement).
-
 welcome-greenstone3.displayText:Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.
 
@@ -36,5 +35,5 @@
 ### EXT ###
 Installing_AMP.displayText:Apache HTTP (2.2.15), MySQL (5.1.47) et PHP (5.3.2)
-Installing_AMP.explanatoryText:<html>ce composant installera le serveur web Apache HTTPD, complÃ©tant avec MySQL (une base de donnÃ©e) et PHP (une language de programmation utilisÃ© pour le codage du serveur).</html>
+Installing_AMP.explanatoryText:<html>Ce composant installera le serveur web Apache HTTPD, complÃ©tÃ© par MySQL (un systÃšme de base de donnÃ©e) et PHP (un langage de programmation utilisÃ© pour le codage cÃŽtÃ© serveur).</html>
 ### /EXT ###
 
@@ -48,12 +47,13 @@
 Installing_Source_Code.explanatoryText:<html>Installez le code source gÃ©nÃ©ral si vous souhaitez compiler Greenstone@version.major@ par vous mÃªme, si vous souhaitez y apporter des modifications, <br>ou si vous souhaitez simplement savoir comment tout fonctionne.</html>
 
-Installing_ImageMagick.displayText:ImageMagick avec JPEG2000 (@bundled.version.imagemagick@)
-Installing_ImageMagick.explanatoryText:<html>Greenstone utilise ImageMagick pour gÃ©rer les fichiers images.<br>La version d'ImageMagick inclue dans cet installeur ajoute le support du format d'image JPEG2000.<br>Si vous avez ImageMagick dÃ©jÃ  installÃ© sur votre ordinateur,<br>ou si vous ne souhaitez pas inclure d'image dans vos collections Greenstone,<br>alors vous pouvez choisir de ne pas installer ImageMagick.</html>
+Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText:Greenstone utilise ImageMagick pour traiter les fichiers images.\n\nLe paquet d'installation d'ImageMagick supporte le format d'image \nJPEG2000. Si ImageMagick est dÃ©jÃ  installÃ© sur votre ordinateur, ou si vous ne souhaitez\n pas inclure d'images dans vos collections Greenstone, alors vous pouvez choisir de ne pas \ninstaller ImageMagick.
 
 Installing_Ghostscript.displayText:GhostScript (@bundled.version.ghostscript@)
-Installing_Ghostscript.explanatoryText:<html>Greenstone utilise GhostScript pour gÃ©rer les fichiers PDF et PostScript.<br>Si vous avez Ghostscript dÃ©jÃ  installÃ© sur votre ordinateur, ou si vous ne souhaitez pas inclure ce type de fichiers dans vos collections Greenstone,<br>alors vous pouvez choisir de ne pas installer Ghostscript. </html>
+Installing_Ghostscript.explanatoryText:Greenstone utilise GhostScript pour traiter les fichiers PDF et PostScript.\n\n Si Ghostscript est dÃ©jÃ  installÃ© sur votre ordinateur, ou si vous ne souhaitez pas inclure de fichiers PDF ou PostScript dans vos collections Greenstone, alors vous pouvez choisir de ne pas installer Ghostscript.
 
 Installing_Apache_Web_Server.displayText:Serveur Web Apache
-Installing_Apache_Web_Server.explanatoryText:Il faut un serveur pour utiliser la contenu du bibliothÃšque numÃ©rique de Greenstone. \n Le serveur web Apache etant un exemple, et un serveur web Apache prÃ©configurÃ© fait partie dans ce processus d'installation \n -- prÃªtre Ã  dÃ©marrer â est installe en sÃ©lectionnant cet option. \nlf il y a dÃ©jÃ  un serveur web existant qui est installÃ© que vous pouvez \n choisir pour dÃ©sÃ©lectionner cet option pour Ã©viter lâinstallation de la version prÃ©configurÃ© \n, cependant vous aurez besoin dâajuster les paramÃštres du configuration de \n votre serveur web existant to faire le lien correctement avec cet installation de Greenstone. \n Si vous nâÃªtes pas sure Ã  propos cet option, il est recommandÃ© de le laisser sÃ©lectionnÃ©, \n comme lâinstallation du fichier de configuration  câest bon point de dÃ©part pour lâapprentissage \n quels sont les options de configuration requis pour aller dans les serveurs web existants.
+Installing_Apache_Web_Server.explanatoryText:Pour donner accÃšs au contenu d'une bibliothÃšque numÃ©rique Greenstone, il faut un serveur web. \n Apache, un serveur web libre, en est un exemple, et le processus d'installation inclut un tel serveur dÃ©jÃ  prÃ©-configurÃ© \n â c'est-Ã -dire prÃªt-Ã -l'emploi â  en sÃ©lectionnant cette option. \nSi vous avez dÃ©jÃ  un serveur web installÃ©, vous pouvez \nchoisir de dÃ©-sÃ©lectionner cette option pour Ã©viter lâinstallation de la version prÃ©-configurÃ©e \n, cependant vous aurez besoin dâajuster les paramÃštres de configuration de \nvotre serveur web existant afin d'effectier correctement le lien avec cette installation de Greenstone. \nSi vous nâÃªtes pas sÃ»r Ã  propos de cette option, il est recommandÃ© de la laisser sÃ©lectionnÃ©e, \npuisque le fichier de configuration qu'elle installe est un bon point de dÃ©part pour apprendre \nquelles sont les options de configuration requises quel que soit le serveur web existant.
+
 
 Installing_Start_Menu_Shortcuts.displayText:Raccourcis du Menu DÃ©marrer
@@ -67,12 +67,12 @@
 
 Installing_Documented_Examples.displayText:Collections de DÃ©monstration ExpliquÃ©es
-Installing_Documented_Examples.explanatoryText:Une sÃ©rie de collections de dÃ©monstration, dont les pages 'Ã  propos' dÃ©crivent comment elles ont Ã©tÃ© crÃ©Ã©s.\n\nMÃªme si vous ne souhaitez pas installer les Collections de DÃ©monstration ExpliquÃ©es tout de suite, vous pourrez les tÃ©lÃ©charger depuis\nhttp\://www.greenstone.org/ ou les obtenir Ã  partir d'un CD-ROM Greenstone.
+Installing_Documented_Examples.explanatoryText:Une sÃ©rie de collections de dÃ©monstration, dont les pages 'Ã  propos' dÃ©crivent comment elles ont Ã©tÃ© crÃ©Ã©es.\n\nMÃªme si vous ne souhaitez pas installer les Collections de DÃ©monstration tout de suite, vous pourrez les tÃ©lÃ©charger depuis\nhttp\://www.greenstone.org/ ou les obtenir Ã  partir du CD-ROM Greenstone.
 
 ### Admin password page
 
 page.admin-pages.displayText:Interface d'Administration
-admin-expl.displayText:L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©e d'utilisateurs,\nce qui est requis si vous souhaitez mettre en place une connexion Ã  distance vers Greenstone. Elle permet Ã©galement la lecture des fichiers de registre (log) ainsi que d'Ã©diter facilement le fichier de configuration principal 'main.cfg'.
+admin-expl.displayText:L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©e d'utilisateurs,\nce qui est requis si vous souhaitez mettre en place une installation Greenstone distante. Elle facilite Ã©galement la consultation des fichiers d'historique (log) ainsi queÂ l'Ã©dition du fichier de configuration principal 'main.cfg'.
 admin-expl-2.displayText:Voulez-vous activer l'interface d'administration de Greenstone? (La crÃ©ation d'un mot de passe vous sera demandÃ©e lors de l'Ã©tape suivante.)
-admin-expl-3.displayText:ATTENTION: Si vous activez l'interface d'administration, il se pourrait qu'elle devienne accessible depuis l'Internet. Il est donc trÃšs important de choisir un mot de passe sÃ©curisÃ©.
+admin-expl-3.displayText:ATTENTION\: Si vous activez l'interface d'administration, il se pourrait qu'elle devienne accessible depuis l'Internet. Il est donc trÃšs important de choisir un mot de passe sÃ©curisÃ©.
 enable.admin.pages.displayText:Activer l'interface d'Administration
 
@@ -112,6 +112,7 @@
 uninstaller.readonly:Lecture seule
 
-uninstaller.will.uninstall.from:Ceci va dÃ©sinstaller l'installation de Greenstone suivante
-uninstaller.uninstall.options:Options de DÃ©sinstallation:
+uninstaller.will.uninstall.from:DÃ©sinstaller Greenstone Ã  partir de\:
+
+uninstaller.uninstall.options:Options de DÃ©sinstallation\:
 uninstaller.keep.collections:Garder les Collections
 uninstaller.are.you.sure:Etes vous certain(e) de vouloir dÃ©sinstaller Greenstone ?
@@ -122,12 +123,12 @@
 uninstaller.deleting:Supprime {file}
 
-uninstaller.info.skipping:INFO: Ignore {file}
-uninstaller.info.no.startmenu:INFO: Aucun chemin vers le menu dÃ©marrÃ© nâa Ã©tÃ© dÃ©tectÃ©. Par consÃ©quent, les entrÃ©es du menu dÃ©marrer ne seront pas dÃ©sinstallÃ©es
-uninstaller.warning.readonly:ATTENTION: Le fichier {file} est en lecture seule
-uninstaller.warning.couldnt.delete:ATTENTION: le fichier {file} nâa pas Ã©tÃ© supprimÃ©
-uninstaller.warning.nonexistent:ATTENTION: le fichier {file} n'existe pas
-uninstaller.error.nonexistent:ERREUR: le fichier {file} n'existe pas
-uninstaller.error.couldnt.find.install.props:ERREUR: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a Ã©tÃ© corrompue.\nLa dÃ©sinstallation ne peut pas se poursuivre.
-uninstaller.warning.couldnt.create.flagfile:ATTENTION: Impossible de crÃ©er le fichier marqueur. Vous devrez supprimer les derniers fichiers dans le rÃ©pertoire d'installation manuellement.
+uninstaller.info.skipping:INFO\: Ignore {file}
+uninstaller.info.no.startmenu:INFO\: Aucun chemin vers le menu de DÃ©marrer nâa Ã©tÃ© dÃ©tectÃ©. Par consÃ©quent, la suppression d'un groupe d'entrÃ©es du menu DÃ©marrer ne fera pas partie de cette dÃ©sinstallation
+uninstaller.warning.readonly:ATTENTION\: Le fichier {file} est en lecture seule
+uninstaller.warning.couldnt.delete:ATTENTION\: le fichier {file} nâa pas pu Ãªtre supprimÃ©. IgnorÃ©.
+uninstaller.warning.nonexistent:ATTENTION\: le fichier {file} n'existe pas
+uninstaller.error.nonexistent:ERREUR\: le fichier {file} n'existe pas
+uninstaller.error.couldnt.find.install.props:ERREUR\: Impossible de trouver le fichier 'installation.properties' ou 'etc/installation.properties'.\nSoit il ne s'agit pas d'une installation de Greenstone valide, soit l'installation a Ã©tÃ© corrompue.\nLa dÃ©sinstallation ne peut pas se poursuivre.
+uninstaller.warning.couldnt.create.flagfile:ATTENTION\: Impossible de crÃ©er le fichier marqueur. Vous devrez supprimer le rÃ©pertoire et les derniers fichiers de dÃ©sinstallation manuellement.
 
 