Index: /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/about.xsl
===================================================================
--- /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/about.xsl	(revision 28586)
+++ /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/about.xsl	(revision 28587)
@@ -47,5 +47,5 @@
 
 
-    <script src="{$httpPath}/script/browser-detect.js" type="text/javascript">
+    <script src="{$httpPath}/script2/browser-detect.js" type="text/javascript">
 	/* space filler needed */
     </script>
@@ -55,8 +55,9 @@
 
 
-<h2>A Musical Web Observatory: </h2>
+<h2>A Musical Web Observatory?</h2>
 
 <h3><i><font size="+2">Connecting People with Data, Documents, and Algorithms</font></i></h3>
 
+<!--
 <div style="background-color: #DD3611; color: white; padding: 4pt; margin-bottom: 6pt;">
 <table>
@@ -139,6 +140,7 @@
 </table>
 </div>
-
-<p class="about">This project is currently work in progress.  The sequence of development so far has been:
+-->
+
+<p class="about">This music DL embodies the following:
 
 <style>
Index: /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/document.xsl
===================================================================
--- /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/document.xsl	(revision 28586)
+++ /main/trunk/model-sites-dev/multimodal-mdl/collect/selfsim-my-ipod/transform/pages/document.xsl	(revision 28587)
@@ -265,11 +265,11 @@
 	      -->
 
-	      <table>
+	      <table style="width: 100%;">
 		<tr>
-		  <td>
+		  <td style="width: 200px;">
 		    MusicBrainz song id: 
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/resource/track/{$musicbrainzsongid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/resource/track/{$musicbrainzsongid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzsongid"/>
 		    </a>
@@ -282,5 +282,5 @@
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/resource/record/{$musicbrainzalbumid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/resource/record/{$musicbrainzalbumid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzalbumid"/>
 		    </a>
@@ -293,13 +293,6 @@
 		  </td>
 		  <td>
-		    <a href="http://dbtune.org/musicbrainz/page/artist/{$musicbrainzartistid}" target="#musicbrainz">
+		    <a href="http://dbtune.org/musicbrainz/page/artist/{$musicbrainzartistid}" target="#musicbrainz" class="external">
 		      <xsl:copy-of select="$musicbrainzartistid"/>
-		    </a>
-		  </td>
-		</tr>
-		<tr>
-		  <td colspan="2">	      
-		    <a href="{$lastfmtrackurl}" target="#lastfm">
-		      <xsl:copy-of select="$lastfmtrackurl"/>
 		    </a>
 		  </td>
@@ -310,7 +303,19 @@
 		  </td>
 		  <td>
-		    <a href="{$echonestsongid}" target="#echonestsongid">
+		    <a href="http://developer.echonest.com/api/v4/song/profile?api_key=8WNR9XTGCODO9G4YG&amp;format=xml&amp;id={$echonestsongid}" target="#echonestsongid" class="external">
+
+
+
 		      <xsl:copy-of select="$echonestsongid"/>
 		    </a>
+		  </td>
+		</tr>
+		<tr>
+		  <td colspan="2">	      
+		    <i>
+		      <a href="{$lastfmtrackurl}" target="#lastfm" class="external">
+			<xsl:copy-of select="$lastfmtrackurl"/>
+		      </a>
+		    </i>
 		  </td>
 		</tr>
@@ -479,6 +484,6 @@
 	</div>
 
-	<gsf:script src="{$httpCollection}/script/meandre-workflow/chromagram.js"/>
-	<gsf:script src="{$httpCollection}/script/meandre-workflow/js-dynamic-mix.js"/>
+	<gsf:script src="{$httpCollection}/script2/meandre-workflow/chromagram.js"/>
+	<gsf:script src="{$httpCollection}/script2/meandre-workflow/js-dynamic-mix.js"/>
 	
 	<gsf:script>
@@ -521,5 +526,5 @@
 	  <div class="documenttext hide" style="color: white; background-color: rgb(40%,40%,20%); padding: 8px;">
 
-	    <textarea id="js-dynamic-code" style="width:100%; height: 520px; font-size: 60%">
+	    <textarea id="js-dynamic-code" style="width:100%; height: 520px; font-size: 90%">
 	      <xsl:text disable-output-escaping="yes">
 
@@ -658,8 +663,16 @@
 
 	<form style="padding-left: 8px; padding-bottom: 0px;">
-	  <span class="vis-heading">On Pause:</span>
-	  <input type="checkbox" name="similarityMatrix" onclick="plotSimilarityMatrixWhenPaused(this)"/>Show Similarity Matrix
+	  <div style="float: left;">
+	    <span class="vis-heading">On Pause:</span>
+	    <input type="checkbox" name="similarityMatrix" onclick="plotSimilarityMatrixWhenPaused(this)"/>Show Similarity Matrix
+	  </div>
+	  <div style="float: left; padding-left: 140px;">
+	    <span class="vis-heading">Accelerated  Processing:</span>
+	    <input type="checkbox" name="acceleratedProcessingInput" onclick="acceleratedProcessingCheckbox(this)"/>&gt; realtime
+	    <span id="accProcStatus"></span>
+	  </div>
+
 	</form>
-	<hr/>
+	<div style="clear: both; padding-top: 4px; padding-bottom: 4px;"><hr/></div>
 
     </div>
@@ -865,4 +878,5 @@
     </gsf:script>
 
+<!--
 
     <div id="original-turnstyle" style="margin: 6px;">
@@ -889,5 +903,5 @@
 	});
     </gsf:script>
-
+-->
 
   </xsl:template>